| GET | /RestApi/translations/projects/services |
|---|
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
open class GetProjectsService : IProjectsFilter
{
override var SearchText:String? = null
override var Service:ArrayList<String>? = null
override var ProjectStatus:ProjectStatus? = null
override var ActualSourceLanguage:String? = null
override var WithoutSourceLanguage:Boolean? = null
}
enum class ProjectStatus
{
NotStarted,
Started,
Completed,
}
Kotlin GetProjectsService DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/projects/services HTTP/1.1 Host: www.imglobal.com Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
[{"Name":"String","Title":"String","Count":0,"Xliff":{"IsXliff":false,"IsFtp":false,"IsMachineTranslation":false}}]